create table formats (
	id		varchar(10) primary key,
	description	varchar(100) not null,
	program		varchar(100) not null,
	priority	int not null,
	flags		int not null
);
insert into formats values ('mp3','MPEG Layer 3 using FreeAMP','playmp3.pl',1,0);
insert into formats values ('wav','WAV player using TPlay','playwav.pl',2,1);
insert into formats values ('cd','CD Player, internal','playcd',3,0);

alter table songs add format varchar(10);
update songs set format = 'mp3';

create table transformations (
	fromid		varchar(10) not null,
	toid		varchar(10) not null,
	priority	int not null,
	description	varchar(100) not null,
	program		varchar(100) not null,

	primary key (fromid,toid)
);

insert into transformations values ('url','%',10,'Ripping from remote URL','download.pl');
insert into transformations values ('cd' ,'wav',-20,'Ripping from CD to WAV','ripping.pl');
insert into transformations values ('wav','mp3',30,'Encoding from WAV to MP3','encode.pl');

drop table ripqueue;

create table ripqueue (
	id		int not null primary key auto_increment,
	songid		int,
	fromid		varchar(10) not null,
	toid		varchar(10) not null,
	artist		varchar(100) not null,
	title		varchar(100) not null,
	album		varchar(100),
	file		varchar(200),
	status		int
);

insert into settings values ('INCOMING','Specify incoming directory or empty for default (incoming)','text','');
insert into settings values ('SHOWDEL','Show del link in left pane if possible','check','YES');
insert into settings values ('SHOWPRI','Show pri link in left pane if possible','check','YES');
insert into settings values ('SHOWUP','Show up link in left pane if possible','check','YES');
update settings set value = '3101' where name = 'VERSION';
